Skip to main content
POST
/
v2
/
off-time
Create a new hour adjustment
curl --request POST \
  --url https://app.tarefy.com/nodeapi/v2/off-time \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataInicio": "2023-12-25",
  "dataFim": "2023-12-25",
  "tipoAjuste": "<string>",
  "userId": 123,
  "horario": "<string>"
}
'
import requests

url = "https://app.tarefy.com/nodeapi/v2/off-time"

payload = {
"dataInicio": "2023-12-25",
"dataFim": "2023-12-25",
"tipoAjuste": "<string>",
"userId": 123,
"horario": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataInicio: '2023-12-25',
dataFim: '2023-12-25',
tipoAjuste: '<string>',
userId: 123,
horario: '<string>'
})
};

fetch('https://app.tarefy.com/nodeapi/v2/off-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
dataInicio
string<date>
required

Data de início do ajuste

dataFim
string<date>
required

Data de fim do ajuste

tipoAjuste
string
required

Tipo de ajuste de horas

userId
integer

ID do usuário alvo (opcional)

horario
string

Horário usado para cálculo de atestado_horas

Response

200 - application/json

Ajuste de horas criado com sucesso

The response is of type object.